gerritbot doesn't add comment/patch-for-review when User:Ladsgroup creates patch in Gerrit
Closed, ResolvedPublic

Description

In the past couple of weeks, without any exception, when I make a patch, gerritbot doesn't add a comment in the related phab card.
Even though it reports when they get merged.
Here are some examples:

@Paladox says gerritbot doesn't have any problems and it seems my account in gerrit is broken somehow. I have no idea why or how.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2017, 3:50 PM

Compare my patch https://gerrit.wikimedia.org/r/#/c/344949/ to @Ladsgroup https://gerrit.wikimedia.org/r/344950 notice mine links to the task linked whereas @Ladsgroup doesn't.

Aklapper renamed this task from gerrit hates User:Ladsgroup to gerritbot doesn't add comment/patch-for-review when User:Ladsgroup creates patch in Gerrit.Mar 28 2017, 12:05 PM
Aklapper edited projects, added GerritBot; removed Gerrit.
This comment was removed by Paladox.

Any update on this? It's really annoying

Tgr added a subscriber: Tgr.Apr 24 2017, 2:05 PM

My guess is this has been broken by https://gerrit.wikimedia.org/r/#/c/340801/ - the timing matches roughly, and that's the last username-related change. Maybe something does not like spaces in the username.

Tgr added a comment.Apr 24 2017, 2:06 PM

Or maybe $author-username is problematic? There is no guarantee the author email can be resolved to a gerrit username.

gerritbot doens't like me either, AFAICT

Change 350451 had a related patch set uploaded (by Paladox):
[operations/puppet@production] Gerrit: Fix bot since i forgot to rename a variable

https://gerrit.wikimedia.org/r/350451

Paladox triaged this task as High priority.Apr 26 2017, 5:45 PM

More then 2 users have reported this now.

Change 350451 merged by Dzahn:
[operations/puppet@production] Gerrit: Fix bot by removing if part

https://gerrit.wikimedia.org/r/350451

It should be fixed now as i tested on a change of @Ladsgroup which would not work for me before. I will keep this open for a day or two then close as resolved if no one replies saying it still dosen't work :)

@Ladsgroup could you retry just to confirm that it's working for you please? :)

Sure, but I haven't finished anything as a patch for today. I usually make one or two every day so don't worry.

Tested as requested by Paladox, seems to work now: https://phabricator.wikimedia.org/T67993#3217051
Thanks!

Tgr added a comment.Apr 27 2017, 3:05 PM

Works for me as well, thanks.

Now works for me too T163764#3217912 Thanks.

Ladsgroup closed this task as Resolved.Apr 27 2017, 3:13 PM
Nemo_bis assigned this task to Paladox.Apr 27 2017, 5:04 PM